000022308 - Error: 'Wrong ELF data format: ELFDATA2LSB' in Apache error log when using RSA Authentication Agent 5.3 for Web

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000022308
Applies ToRSA Authentication Manager
RSA ACE Server
RSA Authentication Agent 5.3 for Web (Apache)
Sun Solaris x86
IssueError: " Wrong ELF data format: ELFDATA2LSB" in Apache error log when using RSA Authentication Agent 5.3 for Web
Apache will not start with RSA Authentication Agent 5.3 for Web (Apache) enabled
CauseThis error indicates that the host machine is running Solaris on x86. Unfortunately, RSA Authentication Agent 5.3 for Web (Apache) is only supported on Solaris on Sparc processors or Linux on x86. RSA Security does not currently support Agents running on Solaris on x86. 
ResolutionIf you require RSA SecurID authentication for Apache on Solaris on x86, obtain a 3rd-party module that will do this such as mod_radius.
Legacy Article IDa27854

Attachments

    Outcomes